io.undertow.websockets.core

## Class BinaryOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - io.undertow.websockets.core.BinaryOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public final class BinaryOutputStream
    extends OutputStream

`OutputStream` implementation which buffers all the data until `close()` is called and then will try to send it in a blocking fashion with the provided `StreamSinkFrameChannel`.

Author:
  Norman Maurer

### Constructor Summary

Constructors
Constructor and Description
`BinaryOutputStream(StreamSinkFrameChannel sender)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryOutputStream

    public BinaryOutputStream(StreamSinkFrameChannel sender)

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`